Britive platform release 2026.09.02 is now live in production.

Create new token for the broker pool

Prev Next
Post
/api/resource-manager/remote-broker/pools/{pool-id}/tokens

Newly created tokens have an INACTIVE status.

Security
HTTP
Type bearer
Path parameters
pool-id
stringRequired

the unique identifier for the broker pool

Body parameters

Information to generate a new token.

token-name
string Required

Token names can only contain alphanumeric, dash, or underscore. Must be unique across a tenant.

description
string
Responses
200

Successfully generate a new authentication token.

object
pool-id
string
token-name
string

Token names can only contain alphanumeric, dash, or underscore. Must be across a tenant.

description
string
token-value
string
created
string

When the token was created. Expected date format is 'yyyy-MM-dd'T'HH:mm:ss'Z''

lastAccessed
string

Last time the token was used. Expected date format is 'yyyy-MM-dd'T'HH:mm:ss'Z''. Value is null if it has not been used.

status
string

The status of the token. ACTIVE means the token is valid. INACTIVE means the token is no longer valid.

Valid values[ "ACTIVE", "INACTIVE" ]
Default"INACTIVE"
400

Bad Request. Example errors: (1) Token name already exists; (2) Invalid token name.

object
errorCode
string
ExampleRA-0001
message
string
ExampleConflict occurred while processing the request.